digiKam Developer Documentation: Digikam::FaceGroup Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Slots | Protected Member Functions | Properties | List of all members
Digikam::FaceGroup Class Reference
Inheritance diagram for Digikam::FaceGroup:

## Public Slots
void | aboutToSetInfo (const ItemInfo &info)
| Prepares to load a new info.
void | addFace ()
| Enters a special state where by click + drag a new face can be created.
void | markAllAsIgnored ()
| Mark all unconfirmed faces as ignored on the current image.
void | rejectAll ()
| Rejects (clears) all faces on the current image.
void | setInfo (const ItemInfo &info)
| Sets the current ItemInfo.
void | setVisible (bool visible)
| Shows or hides the frames.
void | setVisibleItem (RegionFrameItem *item)

## Public Member Functions
| FaceGroup (GraphicsDImgView *const view)
| Constructs a new face group, managing RegionFrameItems for faces of a particular image, displayed on a GraphicsDImgView.
bool | acceptsMouseClick (const QPointF &scenePos)
bool | autoSuggest () const
RegionFrameItem * | closestItem (const QPointF &p, qreal *const manhattanLength=nullptr) const
| Returns the item in this group closest to scene position p.
void | enterEvent (QEvent *)
bool | hasUnconfirmed ()
| Returns a boolean whether there is at least one unconfirmed face in the group or not.
bool | hasVisibleItems () const
ItemInfo | info () const
bool | isVisible () const
void | itemHoverEnterEvent (QGraphicsSceneHoverEvent *event)
void | itemHoverLeaveEvent (QGraphicsSceneHoverEvent *event)
void | itemHoverMoveEvent (QGraphicsSceneHoverEvent *event)
QList< RegionFrameItem * > | items () const
void | leaveEvent (QEvent *)
void | setAutoSuggest (bool doAutoSuggest)
| Auto suggest applies if an image has not been scanned, or an unknown face is registered.
void | setShowOnHover (bool show)
| Even if visible() is false, show the item under the mouse cursor.
bool | showOnHover () const

## Protected Slots
void | itemStateChanged (int)
void | slotAddItemFinished (const QRectF &rect)
void | slotAddItemMoving (const QRectF &rect)
void | slotAddItemStarted (const QPointF &pos)
void | slotAlbumRenamed (Album *album)
void | slotAlbumsUpdated (int type)
void | slotAssigned (const TaggingAction &action, const ItemInfo &info, const QVariant &faceIdentifier)
void | slotCancelAddItem ()
void | slotFocusRandomFace ()
void | slotIgnored (const ItemInfo &info, const QVariant &faceIdentifier)
void | slotIgnoredClicked (const ItemInfo &info, const QVariant &faceIdentifier)
void | slotImageTagChange (const ImageTagChangeset &changeset)
void | slotLabelClicked (const ItemInfo &info, const QVariant &faceIdentifier)
void | slotRejected (const ItemInfo &info, const QVariant &faceIdentifier)
void | startAutoSuggest ()

## Protected Member Functions
void | applyItemGeometryChanges ()
void | clear ()
void | load ()

## Properties
bool | visible

## Member Function Documentation

## ◆ aboutToSetInfo

void Digikam::FaceGroup::aboutToSetInfo | ( | const ItemInfo & | info | ) |
| slot

Closes the face group for editing. Pass a null info if about to close.

## ◆ closestItem()

RegionFrameItem * Digikam::FaceGroup::closestItem | ( | const QPointF & | p,
|  | qreal *const | manhattanLength = `nullptr`
| ) |  | const

If given, manhattanLength is set to the manhattan length between p and the closest point of the returned item's bounding rectangle. In particular, if p is inside the item's rectangle, manhattanLength is 0.

## ◆ setAutoSuggest()

void Digikam::FaceGroup::setAutoSuggest | ( | bool | doAutoSuggest | ) |

In this case, a new scan will be triggered.